Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.encoding
Class IntEncoder

    java.lang.Object
      org.apache.lucene.facet.encoding.IntEncoder

Direct Known Subclasses:
  ChunksIntEncoder, DGapVInt8IntEncoder, IntEncoderFilter, SimpleIntEncoder, VInt8IntEncoder

    public abstract class IntEncoder

extends Object

Encodes integers to a set `BytesRef`. For convenience, each encoder implements `createMatchingDecoder()` for easy access to the matching decoder.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`IntEncoder()`

Method Summary
`abstract IntDecoder` | `createMatchingDecoder()` Returns an `IntDecoder` which can decode the values that were encoded with this encoder.
`abstract void` | `encode(IntsRef values, BytesRef buf)` Encodes the values to the given buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntEncoder

    public IntEncoder()

Method Detail

### encode

    public abstract void encode(IntsRef values,
                                BytesRef buf)

  Encodes the values to the given buffer. Note that the buffer's offset and length are set to 0.

### createMatchingDecoder

    public abstract IntDecoder createMatchingDecoder()

  Returns an `IntDecoder` which can decode the values that were encoded with this encoder.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.